Index: PostgreSqlDotnetCore/Views/Blog/Create.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Blog/Create.cshtml	(revision d6040ef6cd58a54b3bdd9c77a26c8a6ed428662e)
+++ PostgreSqlDotnetCore/Views/Blog/Create.cshtml	(revision 57fc40271dfe03c973365d9799d1dbf2d4360b8f)
@@ -17,5 +17,5 @@
         @Html.ValidationSummary(true, "", new { @class = "text-danger" })
 
-        <div class="form-group">
+       @* <div class="form-group">
             @Html.LabelFor(model => model.date_askes, htmlAttributes: new { @class = "control-label col-md-2" })
             <div class="col-md-10">
@@ -24,4 +24,18 @@
             </div>
         </div>
+        *@
+      @*  <div class="form-group">
+            @Html.LabelFor(model => model.date_askes, htmlAttributes: new { @class = "control-label col-md-2" })
+            <div class="col-md-10">
+                @Html.EditorFor(model => model.date_askes, new { htmlAttributes = new { @class = "form-control", @type = "date", value = DateTime.UtcNow.ToString("yyyy-MM-dd") } })
+                @Html.ValidationMessageFor(model => model.date_askes, "", new { @class = "text-danger" })
+            </div>
+        </div>
+        *@
+
+       
+
+
+       
 
         <div class="form-group">
Index: PostgreSqlDotnetCore/Views/City/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/City/Index.cshtml	(revision d6040ef6cd58a54b3bdd9c77a26c8a6ed428662e)
+++ PostgreSqlDotnetCore/Views/City/Index.cshtml	(revision 57fc40271dfe03c973365d9799d1dbf2d4360b8f)
@@ -16,23 +16,24 @@
             @Html.DisplayNameFor(model => model.name)
         </th>
-    
+
         <th></th>
 
     </tr>
 
-@foreach (var item in Model) {
-    <tr>
-        <td>
-            @Html.DisplayFor(modelItem => item.name)
-        </td>
-     
+    @foreach (var item in Model)
+    {
+        <tr>
+            <td>
+                @Html.DisplayFor(modelItem => item.name)
+            </td>
 
-        <td>
-            @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
-            @Html.ActionLink("Details", "Details", new { id = item.id }) |
-            @Html.ActionLink("Delete", "Delete", new { id = item.id })
-        </td>
-    </tr>
-}
+
+            <td>
+                @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
+                @Html.ActionLink("Details", "Details", new { id = item.id }) |
+                @Html.ActionLink("Delete", "Delete", new { id = item.id })
+            </td>
+        </tr>
+    }
 
 </table>
Index: PostgreSqlDotnetCore/Views/Shared/_Layout.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Shared/_Layout.cshtml	(revision d6040ef6cd58a54b3bdd9c77a26c8a6ed428662e)
+++ PostgreSqlDotnetCore/Views/Shared/_Layout.cshtml	(revision 57fc40271dfe03c973365d9799d1dbf2d4360b8f)
@@ -50,9 +50,18 @@
                                     <a class="nav-link text-dark" asp-area="" asp-controller="City" asp-action="Index">Manage Cities</a>
                                 </li>
+                               
                                 <li class="nav-item">
                                     <a class="nav-link text-dark" asp-area="" asp-controller="Blog" asp-action="Index">BlogPost</a>
                                 </li>
                             }
+
+                            
                         }
+
+                       
+                        
+
+
+                       
                         <li class="nav-item">
                             <a class="nav-link text-dark" asp-area="" asp-controller="VetCenter" asp-action="Index">VetCenters</a>
Index: PostgreSqlDotnetCore/Views/VetCenter/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/VetCenter/Index.cshtml	(revision d6040ef6cd58a54b3bdd9c77a26c8a6ed428662e)
+++ PostgreSqlDotnetCore/Views/VetCenter/Index.cshtml	(revision 57fc40271dfe03c973365d9799d1dbf2d4360b8f)
@@ -9,7 +9,15 @@
 <h2>Vet Center</h2>
 
-<p>
+@*<p>
     @Html.ActionLink("Create New", "Create")
 </p>
+*@
+@if (ViewBag.hasAccess != null && ViewBag.hasAccess == true)
+{
+    <p>
+        @Html.ActionLink("Create New", "Create")
+    </p>
+}
+
 <table class="table">
     <tr>
